Subject: Re: FVWM: Re Dan Espen's message, + FvwmWinList problem

From: Dominik Vogt <[email-masked]>
Date: Thu, 16 Dec 1999 23:29:48 +0100

On Wed, Nov 24, 1999 at 02:20:17PM +0100, Jos wrote:
> Dan Espen wrote:
> 
> > >
> > > > The FvwmWindowList will display mini icons.
> >                                     ^^^^^^^^^^
> > 
> > > By this, do you mean FvwmWinList or the built-in WindowList (menu)?
> > > Using the test setup file quoted below, no icons are displayed in
> > > the FvwmWinList. (The icons are in the right path, because icons
> > > do show up on the desktop when I minimize an xterm.) Also I can't
> > > find any option in the FvwmWinList man page for turning on displaying
> > > of icons. Maybe you can help?
> > 
> > Under "Style", this is in the fvwm2 man page:
> > 
> >           MiniIcon specifies a pixmap to  use  as  the  miniature
> >           icon  for the window.  This miniature icon can be drawn
> >           in a title-bar button (see  ButtonStyle),  and  can  be
> >           used by various fvwm modules (FvwmWinList, FvwmIconMan,
> >           and FvwmTaskBar). It takes the name of a pixmap  as  an
> >           argument.
> > 
> > So, if you  give your various windows "MiniIcons",  they will be shown
> > in either of the window lists (and anywhere else mini-icons are used).
> > 
> 
> Well, this is what I tried: I defined a mini icon for "xterm", and 
> it works for the built in WindowList: here the mini icon is displayed,
> but the mini icons are not displayed in the FvwmWinList... So I wonder 
> if you have to tell FvwmWinList to do this, or should it do this by 
> default?

If it's compiled in (= always), mini icons are shown as soon as
one window in the window list has one.  Do you still have this problem?

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].